Security Enhanced Linux Reference Policy

# Layer: system

## Module: modutils

Interfaces

### Description:

Policy for kernel module utilities

### Interfaces:

modutils_delete_module_config( domain )

##### Summary

Unlink a file with the configuration options used when loading modules.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_domtrans_depmod( domain )

##### Summary

Execute depmod in the depmod domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_domtrans_insmod( domain )

##### Summary

Execute insmod in the insmod domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_domtrans_insmod_uncond( domain )

##### Summary

Unconditionally execute insmod in the insmod domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_domtrans_update_mods( domain )

##### Summary

Execute depmod in the depmod domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_exec_depmod( domain )

##### Summary

Execute depmod in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_exec_insmod( domain )

##### Summary

Execute insmod in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_exec_update_mods( domain )

##### Summary

Execute update_modules in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_read_module_config( domain )

##### Summary

Read the configuration options used when loading modules.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_read_module_deps( domain )

##### Summary

Read the dependencies of kernel modules.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_rename_module_config( domain )

##### Summary

Rename a file with the configuration options used when loading modules.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_run_depmod( domain , role )

##### Summary

Execute depmod in the depmod domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed the depmod domain.

modutils_run_insmod( domain , role )

##### Summary

Execute insmod in the insmod domain, and allow the specified role the insmod domain, and use the caller's terminal. Has a sigchld backchannel.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed the insmod domain.

modutils_run_update_mods( domain , role )

##### Summary

Execute update_modules in the update_modules domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed the update_modules domain.

Return